Skip to main content
Version: 1.5.2

Admin - Create a new policy from set of Rules

POST 

/admin/policies/create-policy

authorization

This API endpoint requires an API Key with at least one of the following Roles: SystemAdmin | PoliciesManager

Create a new Policy from a set of Rules. A Policy is a set of Rules. The Policy is considered to have passed if all the Rules pass. The Policy is considered to have failed if any of the Rules fail. The Policy is identified by a policy_id.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    namestringrequired
    rulesRuleId[]required

Responses

Schema

    policy_idPolicyIdrequired